Reboot fails after resuming from STR

Bug #249296 reported by xiayi on 2008-07-17
8
Affects Status Importance Assigned to Milestone
Classmate PC
High
Unassigned
linux (Ubuntu)
Medium
Unassigned
Hardy
Medium
Stefan Bader

Bug Description

1. Press Fn and push F3 to enter STR.
2. Push power button to resume
3. Click leave button and select restart.

When it comes to the shutdown screen the progress bar halts and there's no response until cold boot.

Oliver Grawert (ogra) wrote :

are you sure you use the right image ? the current state of the 20080711 image shouldnt get you to the shutdown progressbar at all (upload of a fixed image is in progress here atm and will be available in a few hours)

Hi,
 I'm sure it's the right one.
 You might have a try. It costs no more than 5 minutes and I reproduced it every time I tried.
 I'll also verify it on the new image.

Best Regards
Yi Xia

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Oliver Grawert
Sent: 2008年7月18日 0:56
To: Xia, Yi
Subject: [Bug 249296] Re: Reboot fails after resuming from STR

are you sure you use the right image ? the current state of the 20080711
image shouldnt get you to the shutdown progressbar at all (upload of a
fixed image is in progress here atm and will be available in a few
hours)

--
Reboot fails after resuming from STR
https://bugs.launchpad.net/bugs/249296
You received this bug notification because you are a direct subscriber
of the bug.

Status in Application and image devlopment around the Classmate PC: New

Bug description:
1. Press Fn and push F3 to enter STR.
2. Push power button to resume
3. Click leave button and select restart.

When it comes to the shutdown screen the progress bar halts and there's no response until cold boot.

Oliver Grawert (ogra) on 2008-07-22
Changed in cmpc:
importance: Undecided → High
Oliver Grawert (ogra) wrote :
Stefan Bader (smb) wrote :

I added some of my thoughts to the disassembly (see _PTS and _WAK methods). The return code of the wakeup method feels strange but I am not sure.

Stefan Bader (smb) wrote :

One thing to try is perhaps some sysrq magic. Does sysrq-t show something, or sysrq-b trigger the boot?

Oliver Grawert (ogra) wrote :
Download full text (6.5 KiB)

[19347.606185] ACPI: PCI interrupt for device 0000:01:00.0 disabled
[19347.678171] usbcore: deregistering interface driver rt73usb
[19350.750108] Syncing filesystems ... done.
[19350.750347] PM: Preparing system for mem sleep
[19350.751222] Freezing user space processes ... (elapsed 0.00 seconds) done.
[19350.752121] Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
[19350.752219] PM: Entering mem sleep
[19350.752223] Suspending console(s)
[19350.752798] ACPI: PCI interrupt for device 0000:00:02.0 disabled
[19350.756700] ACPI: PCI interrupt for device 0000:00:1f.2 disabled
[19350.756936] ACPI: PCI interrupt for device 0000:00:1f.1 disabled
[19350.757179] ACPI: PCI interrupt for device 0000:00:1e.2 disabled
[19350.757289] ACPI: PCI interrupt for device 0000:00:1d.7 disabled
[19350.757443] ACPI: PCI interrupt for device 0000:00:1d.3 disabled
[19350.757481] ACPI: PCI interrupt for device 0000:00:1d.2 disabled
[19350.757516] ACPI: PCI interrupt for device 0000:00:1d.1 disabled
[19350.757550] ACPI: PCI interrupt for device 0000:00:1d.0 disabled
[19350.758175] Disabling non-boot CPUs ...
[ 2.351320] Back to C!
[ 2.351568] Force enabled HPET at resume
[ 2.368427] PM: Writing back config space on device 0000:00:02.0 at offset 1 (was 900007, writing 900003)
[ 2.387768] PM: Writing back config space on device 0000:00:1c.0 at offset f (was 20100, writing 2010a)
[ 2.387810] PCI: Setting latency timer of device 0000:00:1c.0 to 64
[ 2.387832] ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKH] -> GSI 11 (level, low) -> IRQ 11
[ 2.387843] PCI: Setting latency timer of device 0000:00:1d.0 to 64
[ 2.387892] usb usb2: root hub lost power or was reset
[ 2.387915] ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link [LNKD] -> GSI 5 (level, low) -> IRQ 5
[ 2.387924] PCI: Setting latency timer of device 0000:00:1d.1 to 64
[ 2.387970] usb usb3: root hub lost power or was reset
[ 2.387989] ACPI: PCI Interrupt 0000:00:1d.2[C] -> Link [LNKC] -> GSI 15 (level, low) -> IRQ 15
[ 2.387998] PCI: Setting latency timer of device 0000:00:1d.2 to 64
[ 2.388043] usb usb4: root hub lost power or was reset
[ 2.388063] ACPI: PCI Interrupt 0000:00:1d.3[D] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
[ 2.388072] PCI: Setting latency timer of device 0000:00:1d.3 to 64
[ 2.388117] usb usb5: root hub lost power or was reset
[ 2.388255] ACPI: PCI Interrupt 0000:00:1d.7[A] -> Link [LNKH] -> GSI 11 (level, low) -> IRQ 11
[ 2.388269] PCI: Setting latency timer of device 0000:00:1d.7 to 64
[ 2.388351] PM: Writing back config space on device 0000:00:1e.0 at offset f (was 20000, writing 200ff)
[ 2.388388] PCI: Setting latency timer of device 0000:00:1e.0 to 64
[ 2.388420] PM: Writing back config space on device 0000:00:1e.2 at offset 1 (was 2900007, writing 2900003)
[ 2.388440] ACPI: PCI Interrupt 0000:00:1e.2[A] -> Link [LNKB] -> GSI 3 (level, low) -> IRQ 3
[ 2.388450] PCI: Setting latency timer of device 0000:00:1e.2 to 64
[ 2.390532] ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link [LNKC] -> GSI 15 (level, low) -> IRQ 15
[ 2.390545] PCI: Setting latency timer of device 0000:00:1f.1 to 64
[ 2.393154] ata2...

Read more...

Oliver Grawert (ogra) wrote :

above the dmesg output of a complete suspend/resume cycle

Oliver Grawert (ogra) wrote :
Download full text (8.2 KiB)

ogra@classmate:~$ lspci -vvv
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 04)
 Subsystem: Elitegroup Computer Systems Unknown device 9820
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
 Latency: 0
 Capabilities: <access denied>

00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04) (prog-if 00 [VGA controller])
 Subsystem: Elitegroup Computer Systems Unknown device 9820
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 10
 Region 0: Memory at fea80000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at dc00 [size=8]
 Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at fea40000 (32-bit, non-prefetchable) [size=256K]
 Capabilities: <access denied>

00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 04) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 0000e000-0000efff
 Memory behind bridge: feb00000-febfffff
 Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
 Capabilities: <access denied>

00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 04) (prog-if 00 [UHCI])
 Subsystem: Elitegroup Computer Systems Unknown device 906b
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 11
 Region 4: I/O ports at d880 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 04) (prog-if 00 [UHCI])
 Subsystem: Elitegroup Computer Systems Unknown device 906b
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin B routed to IRQ 5
 Region 4: I/O ports at d800 [size=32]

00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 04) (prog-if 00 [UHCI])
 Subsystem: Elitegroup Computer Systems Unknown device 906b
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 La...

Read more...

Oliver Grawert (ogra) wrote :
Download full text (10.8 KiB)

ogra@classmate:~$ sudo lspci -vvnn
[sudo] password for ogra:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller [8086:2590] (rev 04)
 Subsystem: Elitegroup Computer Systems Unknown device [1019:9820]
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
 Latency: 0
 Capabilities: [e0] Vendor Specific Information

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 04) (prog-if 00 [VGA controller])
 Subsystem: Elitegroup Computer Systems Unknown device [1019:9820]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0
 Interrupt: pin A routed to IRQ 10
 Region 0: Memory at fea80000 (32-bit, non-prefetchable) [size=512K]
 Region 1: I/O ports at dc00 [size=8]
 Region 2: Memory at d0000000 (32-bit, prefetchable) [size=256M]
 Region 3: Memory at fea40000 (32-bit, non-prefetchable) [size=256K]
 Capabilities: [d0] Power Management version 2
  Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1c.0 PCI bridge [0604]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 [8086:2660] (rev 04) (prog-if 00 [Normal decode])
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
 I/O behind bridge: 0000e000-0000efff
 Memory behind bridge: feb00000-febfffff
 Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
 BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
 Capabilities: [40] Express Root Port (Slot-) IRQ 0
  Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag+
  Device: Latency L0s unlimited, L1 unlimited
  Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
  Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
  Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
  Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 1
  Link: Latency L0s <1us, L1 <4us
  Link: ASPM Disabled RCB 64 bytes CommClk- ExtSynch-
  Link: Speed 2.5Gb/s, Width x1
  Root: Correctable- Non-Fatal- Fatal- PME-
 Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable-
  Address: 00000000 Data: 0000
 Capabilities: [90] Subsystem: Elitegroup Computer Systems Unknown device [1019:906b]
 Capabilities: [a0] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:1d.0 USB Controller [0c03]: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 [8086:2658] (rev 04) (prog-if 00 [UHCI])
 Subsystem: Elitegroup Computer Systems Unknown device [1019:906...

Oliver Grawert (ogra) wrote :

ogra@classmate:~$ lspci -t
-[0000:00]-+-00.0
           +-02.0
           +-1c.0-[0000:01]----00.0
           +-1d.0
           +-1d.1
           +-1d.2
           +-1d.3
           +-1d.7
           +-1e.0-[0000:02]--
           +-1e.2
           +-1f.0
           +-1f.1
           +-1f.2
           \-1f.3

Oliver Grawert (ogra) wrote :

ogra@classmate:~$ cat /etc/modules
# /etc/modules: kernel modules to load at boot time.
#
# This file contains the names of kernel modules that should be loaded
# at boot time, one per line. Lines beginning with "#" are ignored.

fuse
rt73usb
p4_clockmod
i915

Oliver Grawert (ogra) wrote :
Oliver Grawert (ogra) wrote :

for reference, the patch under http://bugzilla.kernel.org/show_bug.cgi?id=7299 seems to help here

Oliver Grawert (ogra) wrote :
Oliver Grawert (ogra) wrote :

a bugfix is in the hardy-classmate-20080805.img, please test and confirm.

Changed in cmpc:
status: New → Fix Committed
xiayi (yi-xia) on 2008-08-06
Changed in cmpc:
status: Fix Committed → Fix Released
Stefan Bader (smb) wrote :

The parts required from the Linux kernel are:
- The ability to use the ACPI method for reboots (4d3870431d17346c4fdd80e087b7d76f1b5941d5 upstream
  but not, yet, in Intrepid)
- The ability to whitelist certain hardware for ACPI reboot, even if that hardware doesn't claim this correctly.
  Has been introduced in a bug report (http://bugzilla.kernel.org/show_bug.cgi?id=7299) but not commited
  upstream.
- The (optional) ability to select ACPI reboot as a preferred reboot method.

Changed in linux:
importance: Undecided → Medium
Stefan Bader (smb) wrote :

Committed to Hardy tree as a three step patch:
- commit 4a29c3a4854c2cfb81e2e0dee4b56c25e7b4fdef
  UBUNTU: Backport ability to reset the machine using the RESET_REG of ACPI
- commit 51397f645af9ef834d1337e8900189333ef85c85
  UBUNTU: SAUCE: Add the ability to whitelist systems to use ACPI reboot
- commit 143f7749a6385865716797246f254857b1c6b912
  UBUNTU: SAUCE: Add reboot=a preselection quirk

Changed in linux:
assignee: nobody → stefan-bader-canonical
importance: Undecided → Medium
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Martin Pitt (pitti) wrote :

linux 2.6.24-21 copied to hardy-updates.

Changed in linux:
status: Fix Committed → Fix Released

If this was fixed for Hardy, by the definition of the Stable Release Updates policy this should be fixed in the actively developed kernel. Setting "linux (Ubuntu)" to Fix Released.

Changed in linux (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.